#include <gadgets/texteditor.h>

//#define __NOLIBBASE__
//#include <proto/exec.h>

//#define __CLIB_PRAGMA_LIBCALL
//#include <proto/alib.h>
#include <proto/texteditor.h>

#include "util.h"
#include "m68k.h"

extern struct Library *TextFieldBase;

extern struct MessageInfo messageInfo;
struct MessagePartsInfo messagePartsInfo;

// void to indicate empty argument list is optional
void StaticInitMessagePartsInfo(void)
{
	messagePartsInfo.messageInfoPtr = &messageInfo;
}

ULONG FormatTest2(struct Hook *hookPtr, VOID *objectPtr, VOID *messagePtr)
{
	InitMessageInfo(hookPtr, (APTR) objectPtr, (struct HighlightMessage *)messagePtr);
	// InitMessagePartsInfo();

	/*
	// if line is longer than 10 chars we paint part of the line with color x
	if (messagePartsInfo.messageInfoPtr->end > 10)
		HighlightSetFormat(objectPtr, 1, 6, (34<<8)|TBSTYLE_SETCOLOR|TBSTYLE_ITALIC);

	return messagePartsInfo.messageInfoPtr->state + 1L;
	*/

	// if line is longer than 10 chars we paint part of the line with color x
	if (messageInfo.end > 10)
		HighlightSetFormat(objectPtr, 1, 6, (34<<8)|TBSTYLE_SETCOLOR|TBSTYLE_ITALIC);

	return messageInfo.state + 1L;
}
